@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700&display=swap');

:root {
    --main-color: #7d43e8;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
    text-transform: ;
    transition: .2s linear;
}

html {
    font-size: 62.5%;
    scroll-behavior: smooth;
    scroll-padding-top: 9rem;
    overflow-x: hidden;
}

html::-webkit-scrollbar {
    width: .8rem;
}

html::-webkit-scrollbar-track {
    background: transparent;
}

html::-webkit-scrollbar-thumb {
    background: #fff;
    border-radius: .4rem; /* Corregido el valor de la propiedad */
}

.logo img {
    width: 150px;
}

.navbar {
    display: flex;
    justify-content: center;
    margin-top: 10px;
}

.navbar a {
    color: var(--main-color); /* Utilización de la variable de color */
    text-decoration: none;
    padding: 10px 20px;
    font-size: 24px;
    transition: background-color 0.3s, color 0.3s;
}

.navbar a:hover{

  text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.7);
}

.titulo h1 {
    color: var(--main-color); 
    text-align: center;
    font-size: 30px;
}

.heading {
    text-align: center;
    color: #fff;
    text-transform: uppercase;
    padding-bottom: 3.5rem;
    font-size: 4rem;
    margin-top: 50px;
}

.heading span {
    color: var(--main-color); /* Utilización de la variable de color */
    text-transform: uppercase;
}

.box-container {
    display: flex;
    flex-wrap: wrap;
    gap: 1.5rem;
    padding-bottom: 10px;
}

.box-container .box {
    padding: 30px;
    overflow: hidden;
    box-shadow: 0 1rem 2rem rgba(0, 0, 0, 0.1);
    border: 1rem solid #b3abab;
    border-radius: .5rem;
    flex: 1 1 30rem;
    height: 40rem;
    position: relative;
}

.box-container .box img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.box-container .box .content {
    position: absolute;
    top: -100%;
    left: 0;
    height: 100%;
    width: 100%;
    text-align: center;
    background: rgba(46, 45, 45, 0.7);
    padding: 2rem;
    padding-top: 5rem;
}

.box-container .box:hover .content {
    top: 0;
}

.box-container .box .content h3 {
    font-size: 4rem;
    color: var(--main-color); /* Utilización de la variable de color */
    font-weight: bold;
    -webkit-text-stroke: 0.5px #bda4ec;
    
}

.box-container .box .content p {
    font-size: 1.5rem;
    color: #fff;
    padding: .5rem 0;
}

/* Footer */
.footer {
  background: #dda6a6;
  padding: 10px 0;
  overflow: hidden;
  height: 120px;
  border: none;
}

.contenedor-footer {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin: auto;
  padding-bottom: 5px;
  border-bottom: 1px solid #e6d5d7;
}

.content-foo {
  text-align: center;
  margin-right: 30px;
}

.content-foo:last-child {
  margin-right: 0;
}

.content-foo p {
  color: #1d0e0e;
}

.content-foo img{
  width: 42px;
  height: 42px;
  margin-top: 10px;
}

.mensaje-reservado {
  text-align: center;
  color: #1d0e0e;
  width: 100%;
  margin-top: 15px;
  font-weight: bold;
  font-size: 18px;
}

/* Media Queries */
@media (max-width: 1200px) {
  .navbar a {
      font-size: 18px;
      padding: 8px 16px;
  }

  .box-container .box {
      flex: 1 1 45%;
  }

  .footer {
      height: auto;
  }
}

@media (max-width: 1024px) {
  .navbar {
      flex-direction: column;
      align-items: center;
  }

  .navbar a {
      font-size: 16px;
      padding: 6px 12px;
  }

  .heading {
      font-size: 3.5rem;
  }

  .box-container .box {
      flex: 1 1 45%;
      height: auto;
  }

  .footer {
      height: auto;
  }
}

@media (max-width: 768px) {
  .navbar a {
      font-size: 14px;
      padding: 5px 10px;
  }

  .heading {
      font-size: 3rem;
  }

  .box-container {
      flex-direction: column;
      align-items: center;
  }

  .box-container .box {
      flex: 1 1 80%;
      margin-bottom: 2rem;
  }
}

/* Media Queries */
@media (max-width: 480px) {
  .navbar a {
    font-size: 12px;
    padding: 4px 8px;
  }

  .logo img {
    width: 120px;
  }

  .heading {
    font-size: 2.5rem;
  }

  .box-container .box {
    flex: 1 1 100%;
    height: auto;
  }

  .box-container .box img {
    width: 100%;
    height: auto;
  }

  .box-container .box .content h3 {
    font-size: 3rem;
  }

  .box-container .box .content p {
    font-size: 1.3rem;
  }

  .footer {
    height: auto;
    padding: 20px 0;
  }

  .contenedor-footer {
    flex-direction: column;
    align-items: center;
  }

  .content-foo {
    margin-right: 0;
    margin-bottom: 10px;
  }

  .content-foo img {
    margin-bottom: 10px;
  }

  .mensaje-reservado {
    font-size: 16px;
  }
}


/* Media Queries */
@media (max-width: 1200px) {
  .navbar a {
      font-size: 18px;
      padding: 8px 16px;
  }

  .box-container .box {
      flex: 1 1 45%;
  }

  .footer {
      height: auto;
  }
}

@media (max-width: 1024px) {
  .navbar {
      flex-direction: column;
      align-items: center;
  }

  .navbar a {
      font-size: 16px;
      padding: 6px 12px;
  }

  .heading {
      font-size: 3.5rem;
  }

  .box-container .box {
      flex: 1 1 45%;
      height: auto;
  }

  .footer {
      height: auto;
  }
}

@media (max-width: 768px) {
  .navbar a {
      font-size: 14px;
      padding: 5px 10px;
  }

  .heading {
      font-size: 3rem;
  }

  .box-container {
      flex-direction: column;
      align-items: center;
  }

  .box-container .box {
      flex: 1 1 80%;
      margin-bottom: 2rem;
  }
}

/* Media Queries */
@media (max-width: 480px) {
  .navbar a {
    font-size: 12px;
    padding: 4px 8px;
  }

  .logo img {
    width: 120px;
  }

  .heading {
    font-size: 2.5rem;
  }

  .box-container .box {
    flex: 1 1 100%;
    height: auto;
  }

  .box-container .box img {
    width: 100%;
    height: auto;
  }

  .box-container .box .content h3 {
    font-size: 3rem;
  }

  .box-container .box .content p {
    font-size: 1.3rem;
  }

  .footer {
    height: auto;
    padding: 20px 0;
  }

  .contenedor-footer {
    flex-direction: column;
    align-items: center;
  }

  .content-foo {
    margin-right: 0;
    margin-bottom: 10px;
  }

  .content-foo img {
    margin-bottom: 10px;
  }

  .mensaje-reservado {
    font-size: 16px;
  }
}

